package com.oqpo.api.web.dto.response.token;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class JwtResponse {
    @ApiModelProperty(value = "접속 토큰값")
    private String connKey;

    public static JwtResponse toDTO(String connKey) {
        return JwtResponse.builder()
                .connKey(connKey)
                .build();
    }
}
